call.ended
POST
A call ended, answered or missed.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”webhook-id
required
string
Unique id of this delivery. Deduplicate on it.
webhook-timestamp
required
string
Unix time in seconds when the delivery was signed.
webhook-signature
required
string
Standard Webhooks signature, v1,<base64 HMAC-SHA256> of id.timestamp.body.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CallEndedWebhook
A call ended, answered or missed.
object
data
required
CallEndedData
The event payload, with external ids.
object
call_id
required
Call Id
Id of the call.
string format: uuid
callee
required
Callee
External id of the callee.
string
caller
required
Caller
External id of the caller.
string
conversation_id
required
Conversation Id
Conversation the call belongs to.
string format: uuid
ended_at
required
Ended At
When the call ended.
string format: date-time
participants
required
Participants
Time each participant spent in the call.
Array<object>
CallParticipantDataHow long one participant was in a call.
object
estimated
required
Estimated
True when the participant never left and was closed at the call’s end time.
boolean
external_id
required
External Id
External id of the participant.
string
seconds
required
Seconds
Seconds the participant was in the call.
integer
timestamp
required
Timestamp
When the event was emitted.
string format: date-time
type
required
Type
Always call.ended.
string
Responses
Section titled “Responses”Any 2xx acknowledges it